Announcement

  •  » Engine
  •  » Version 2.9 and impact on extensions

#1 2017-04-12 17:31:24

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13541

Version 2.9 and impact on extensions

I made a short review of technical changes introduced by Piwigo 2.9. As far as I can see, only the update of datatables to version 1.10 could be a problem, but I don't know any public extension that use it.

Do you see any other technical change that could lead an extension compatible with 2.8 to be incompatible with 2.9?

Offline

 

#2 2017-04-12 17:40:40

rvelices
Piwigo Team
2005-12-29
1960

Re: Version 2.9 and impact on extensions

One of my extensions use it (not sure now if I packed with it the datatables)

Maybe you can create already the 2.9 version in extension manager? (I can update mine at least)

Offline

 

#3 2017-04-12 17:45:49

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13541

Re: Version 2.9 and impact on extensions

rvelices wrote:

Maybe you can create already the 2.9 version in extension manager? (I can update mine at least)

As soon as we add version 2.9 in the extension manager, beta-testers on 2.9.0RC2 will have no extension available (as long as the extension is not marked as compatible).

Last time, for 2.8, considering it had very little impact, I had automatically marked all extensions compatible with 2.8 if it was compatible with 2.7. I think I will do the same for 2.9, unless we have a good reason to avoid that.

Offline

 
  •  » Engine
  •  » Version 2.9 and impact on extensions

Board footer

Powered by FluxBB

github twitter newsletter Donate Piwigo.org © 2002-2022 · Contact